> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add an address to a customer



## OpenAPI

````yaml /openapi/customer-20260203.json post /accounts/customers/{customerId}/addresses
openapi: 3.1.0
info:
  title: CUSTOMER
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Virtual Account
    description: ''
  - name: Customers
paths:
  /accounts/customers/{customerId}/addresses:
    post:
      tags:
        - Customers
      summary: Add an address to a customer
      operationId: accounts-customers-addresses-create
      parameters:
        - name: customerId
          in: path
          description: Customer id
          required: true
          schema:
            type: string
            default: ''
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomerAddressRequest'
            example:
              address:
                city: <string>
                countryCode: <string>
                lineOne: <string>
                postalCode: <string>
                region: <string>
              type: BILLING
        required: true
      responses:
        '200':
          description: Address is created
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CustomerAddress'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateCustomerAddressRequest:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/CustomerAddressDetailsRequest'
        type:
          type: string
          description: Address type
          enum:
            - BILLING
            - SHIPPING
            - RESIDENCE
      required:
        - address
        - type
    CustomerAddress:
      type: object
      description: Customer address
      properties:
        addressDetails:
          description: Address details.
          allOf:
            - $ref: '#/components/schemas/CustomerAddressDetails'
        customerId:
          type: string
          description: Customer id
        id:
          type: string
          description: Unique identifier for this customer address
        status:
          type: string
          description: Address status
          enum:
            - ACTIVE
            - INACTIVE
        type:
          type: string
          description: Address type
          enum:
            - BILLING
            - SHIPPING
            - RESIDENCE
    CustomerAddressDetailsRequest:
      type: object
      description: Address details
      properties:
        city:
          type: string
          minLength: 1
        countryCode:
          type: string
          description: Two-letter country code (ISO 3166-1 alpha-2)
          minLength: 1
        firstName:
          type: string
        lastName:
          type: string
        lineOne:
          type: string
          minLength: 1
        lineTwo:
          type: string
        postalCode:
          type: string
          minLength: 1
        region:
          type: string
      required:
        - city
        - countryCode
        - lineOne
        - postalCode
        - region
    CustomerAddressDetails:
      type: object
      description: Address details
      properties:
        city:
          type: string
          description: City
        country:
          type: string
          description: Country
        lineOne:
          type: string
          description: >-
            Street address line one. May contain the entire street address if
            not broken up into lines one and two.
        lineTwo:
          type: string
          description: Street address line two.
        postalCode:
          type: string
          description: Postal code. Depending on the country, this could be a zip code.
        region:
          type: string
          description: Region. Depending on the country, this could be a state or province.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````